Subject: [GIT PULL] PXA1908 DT changes for 7.2

From: Duje Mihanović <[email-masked]>
Date: Sat, 09 May 2026 13:04:46 +0200

Hi SoC maintainers,

Here's a small set of DT changes for PXA1908.

I must note that I've changed the repository and my PGP key since the last 
pull request.

Regards,
Duje

The following changes since commit 254f49634ee16a731174d2ae34bc50bd5f45e731:

  Linux 7.1-rc1 (2026-04-26 14:19:00 -0700)

are available in the Git repository at:

  https://codeberg.org/pxa1908-mainline/linux.git tags/pxa1908-dt-for-7.2

for you to fetch changes up to 52c47f734f934fdd83659e1a7b096597cca14522:

  arm64: dts: marvell: samsung-coreprimevelte: Add missing SDIO properties 
(2026-05-05 16:51:26 +0200)

----------------------------------------------------------------
PXA1908 DT changes for 7.2

This set consists of a bug fix and three QoL fixes:

* Fix touchscreen breakage in low ambient temperatures on coreprimevelte
* Free up most of the framebuffer memory on coreprimevelte
* Fill in some missing properties for pre-0.2 PSCI and coreprimevelte SDIO

----------------------------------------------------------------
Duje Mihanović (4):
      arm64: dts: marvell: samsung-coreprimevelte: Increase touchscreen 
voltage
      arm64: dts: marvell: samsung,coreprimevelte: Use memory-region for 
framebuffer
      arm64: dts: marvell: pxa1908: Add PSCI function IDs
      arm64: dts: marvell: samsung-coreprimevelte: Add missing SDIO properties

 .../boot/dts/marvell/mmp/pxa1908-samsung-coreprimevelte.dts   | 11 ++++++
+----
 arch/arm64/boot/dts/marvell/mmp/pxa1908.dtsi                  |  5 ++++-
 2 files changed, 11 insertions(+), 5 deletions(-)